> For AI agents: the complete documentation index is available at [llms.txt](https://docs.snaptrade.com/llms.txt), and the full documentation text is available at [llms-full.txt](https://docs.snaptrade.com/llms-full.txt). Markdown versions of documentation pages are available by appending .md to the URL path.

# List security types

GET https://api.snaptrade.com/securityTypes

Return all available security types supported by SnapTrade.

Reference: https://docs.snaptrade.com/reference/Reference%20Data/ReferenceData_getSecurityTypes

## Code Examples

### TypeScript

```typescript

import { Snaptrade } from "snaptrade-typescript-sdk";

const snaptrade = new Snaptrade({
  clientId: "PARTNER_CLIENT_ID",
  consumerKey: "CONSUMER_KEY",
});

const response =
  await snaptrade.referenceData.getSecurityTypes();
console.log(response.data);

```

### Python

```python

from pprint import pprint
from snaptrade_client import SnapTrade

snaptrade = SnapTrade(
    client_id="PARTNER_CLIENT_ID",
    consumer_key="CONSUMER_KEY"
)

response = snaptrade.reference_data.get_security_types()
pprint(response.body)

```

## OpenAPI Specification

```yaml

openapi: 3.0.0
info:
  description: Connect brokerage accounts to your app for live positions and trading
  version: 1.0.0
  title: SnapTrade
  termsOfService: N/A
  contact:
    email: api@snaptrade.com
  x-konfig-ignore:
    potential-incorrect-type: true
  x-readme:
    explorer-enabled: false
paths:
  /securityTypes:
    get:
      tags:
        - Reference Data
      summary: List security types
      operationId: ReferenceData_getSecurityTypes
      description: Return all available security types supported by SnapTrade.
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  description: The type of security. For example, "Common Stock" or "ETF".
                  properties:
                    id:
                      description: >-
                        Unique identifier for the security type within
                        SnapTrade. This is the ID used to reference the security
                        type in SnapTrade API calls.
                      type: string
                      format: uuid
                      example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                    code:
                      description: >
                        A short code representing the security type. For
                        example, "cs" for Common Stock. Here are some common
                        values:
                          - `ad` - ADR
                          - `bnd` - Bond
                          - `cs` - Common Stock
                          - `cef` - Closed End Fund
                          - `crypto` - Cryptocurrency
                          - `et` - ETF
                          - `oef` - Open Ended Fund
                          - `pm` - Precious Metals
                          - `ps` - Preferred Stock
                          - `rt` - Right
                          - `struct` - Structured Product
                          - `ut` - Unit
                          - `wi` - When Issued
                          - `wt` - Warrant
                      type: string
                      example: cs
                    description:
                      description: >-
                        A human-readable description of the security type. For
                        example, "Common Stock" or "ETF".
                      type: string
                      example: Common Stock
                    is_supported:
                      deprecated: true
                      description: >-
                        This field is deprecated and should not be used. Please
                        reach out to SnapTrade support if you have a valid use
                        case for this.
                      type: boolean
                      example: true
        default:
          description: Unexpected Error

```